Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.util
Class P13NEntityResolver

    java.lang.Object
      com.beasys.commerce.axiom.util.P13NEntityResolver

All Implemented Interfaces
  EntityResolver

Deprecated Use `DefaultEntityResolver` instead.

    @Deprecated
    public class P13NEntityResolver

extends Object
implements EntityResolver

A SAX EntityResolver which can get XML Entities (including DTDs) for WLCS.

This first looks for a file of the SYSTEM ID, relative to the basePath (either specified in the constructor or defaults to the value of the "commerce.xml.entity.basePath" property in the weblogicommerce.properties file, which defaults to "lib/dtd"). If that fails, it pulls the filename portion of the SYSTEM ID and tries that relative to the same basePath. Failing that, it looks in the CLASSPATH for the SYSTEM ID, relative to the basePath. Failing that, it looks in the CLASSPATH for the SYSTEM ID. Failing that, it looks in the CLASSPATH for the filename of the SYSTEM ID, relative to the basePath. Failing that, it looks in the CLASSPATH for filename of SYSTEM ID.

Field Summary
`protected String` | `basePath` Deprecated See BEA Commerce product offering

Constructor Summary
`P13NEntityResolver()` Deprecated See BEA Commerce product offering
`P13NEntityResolver(String basePath)` Deprecated See BEA Commerce product offering

Method Summary
`static String` | `getBasePath()` Deprecated See BEA Commerce product offering
`static EntityResolver` | `getInstance()` Deprecated See BEA Commerce product offering
`InputSource` | `resolveEntity(String publicId, String systemId)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### basePath

    protected String basePath

  Deprecated See BEA Commerce product offering
  Our basePath.

Constructor Detail

### P13NEntityResolver

    public P13NEntityResolver(String basePath)

  Deprecated See BEA Commerce product offering

  Constructor.

  Parameters
    `basePath` - the base path (in the CLASSPATH) to look for DTDs (us empty or null for full CLASSPATH search).

### P13NEntityResolver

    public P13NEntityResolver()

  Deprecated See BEA Commerce product offering

Method Detail

### getInstance

    public static EntityResolver getInstance()

  Deprecated See BEA Commerce product offering

  Get the singleton instance.

### getBasePath

    public static String getBasePath()

  Deprecated See BEA Commerce product offering

  Get the base directory where DTDs live from the weblogiccommerce.properties file.

### resolveEntity

    public InputSource resolveEntity(String publicId,
                                     String systemId)
                              throws IOException,
                                     SAXException

  Deprecated See BEA Commerce product offering

  Resolve a SAX Entity to an InputSource.

  See the base class comments for the search order.

  Specified by:
    `resolveEntity` in interface `EntityResolver`
  Parameters
    `publicId` - the entity's PUBLIC ID.
    `systemId` - the entity's SYSTEM ID.
  Returns
    the Entity, or null if the parser should do its default action.
  Throws
    `IOException` - thrown on an I/O error finding the entity.
    `SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved